[Palus Knight Class Transfer]:
In order to become a Shilen Knight a player must successfully complete three quests. The Trial of Duty may be undertaken by a player of level 35 or above. This quest begins by meeting with Grand Master Hannavalt of Giran Castle Town. The Testimony of Fate may be undertaken by a player of level 37 or above. This quest begins by meeting with Magister Kaira of Giran Castle Town. Finally, the Test of Witchcraft can be undertaken by a player of level 39 or above. This quest begins by meeting with Orim of the Shadow near Hardin's Academy.
Return
Close Window